Subject: SUM: G03 with Linda

From: Tom Kuppens <tom$at$hartree4.UGent.be>
Date: Thu, 12 Feb 2004 10:21:36 +0100 (CET)

Hi there,
I managed to get linda working.
Here is a little summary:

Marcel Swart
]did you try putting 
]%NprocL=2
]instead of
]%NPROCLINDA=2

Christoph Steinbeck
]First of all, my jobs contain the statement %nprocl=8. But your longer 
]and uppercased statement might well be due to a newer version (I have 
]G98 and linda).
]Secondly, there was a way of making linda insert debug statements into 
]the gaussian log. That was very helpful to find the reason for not 
]aquiring any workers.
]Thirdly, the compile script used to make a two version, one was g98 and 
]g98l (for linda-enabled). If you mistake these, you'll never use Linda.

]Igor Filippov
]
]- use tcpdump to listen on the wire if gaussian/linda is actually
]trying to comminicate to other nodes

Fernando D. Vila
]- Add the following lines to your .tsnet.config:
]Tsnet.Node.lindarsharg: ssh
]Tsnet.Node.lindarcparg: scp
]This makes linda use the secure versions. (Obviously, you have to have 
]everythhing setup without a password).
]
]- For some reason I haven't discovered yet, 
]parts of the directives you put in the .tsnet.config don't get passed to 
]the Gaussian execution. Reading the Linda manual and checking some 
]webpages, I found that you can pass the linda option to Gaussian using the 
]GAUSS_LFLAGS env variable. Right now I have it setup as follows:
]
]setenv GAUSS_LFLAGS "-maxprocspernode 2 -wait 30"
]
]maxprocspernode was one of the directives that I couldn't get transmited
]to Gaussian. With this env variable Gaussian finds it.

Jenn Sturm
]
]-the initial revisions of g03, at least in binary  
]form, came with a bug where it only checked a user's primary group  
]membership. So, for instance, my groups are:
]
]hamilton users staff
]
]and g03 was owned by group users. Since my primary group is hamilton,  
]it wouldn't let me run *only* the linda binaries.
]
]To solve the problem, I had to run the following explicitly as root:
]
]chmod -R o+rX /usr/local/g98
]
]to give the executables other-group execution privileges.
]
]If this is no help, have you tried to explicity request verbose  
]reporting from Linda? To do so, I believe the command (tcsh) is
]
]setenv GAUSS_LFLAGS -vv
]
]and then run g03l

I also found out that you have to set your environment on the workernode. 
I did it with the ssh ~/.ssh/environment settings. If there are other ways, 
let me know.

Thanks for the help! 

Tom Kuppens

Research group Quantumchemistry
Department of Inorganic and Physical Chemistry WE06V
Ghent University
Krijgslaan 281 - S3, 9000 Ghent, Belgium
Tel  +32(0)9 264 4444
Fax  +32(0)9 264 4983
-- 
http://allserv.UGent.be/~tkuppens
----
 Yesterday I was a dog.  Today I'm a dog.  Tomorrow I'll probably still
 be a dog. Sigh!  There's so little hope for advancement.
    -- Snoopy